Author Topic: Help with choosing a device.  (Read 24144 times)

skelton

  • Posts: 6894
Re: Help with choosing a device.
« Reply #20 on: May 05, 2015, 10:11:32 am »
Then maybe it's incompatible with RK3288, or it needs Lollipop, I don't know. I have not tried it in my RK3288 box.
Retired

eragon2890

  • Posts: 1887
Re: Help with choosing a device.
« Reply #21 on: May 05, 2015, 10:28:49 am »
if no games work, try installing gltools from playstore and telling the app you have, for example, a tegra 4, this made it possible to run asphalt 8 at higher settings then ?low? (Any other game I tried already run at highest settings out of the box with no problems).

It DOES support opengl es 3.0, that?s certain...

skelton

  • Posts: 6894
Re: Help with choosing a device.
« Reply #22 on: May 05, 2015, 10:46:06 am »
if no games work, try installing gltools from playstore and telling the app you have, for example, a tegra 4, this made it possible to run asphalt 8 at higher settings then ?low? (Any other game I tried already run at highest settings out of the box with no problems).

It DOES support opengl es 3.0, that?s certain...

It's not a game, it's an emulator, and it needs openGL 3.0 to run properly, so I don't think it works ok in tegra 4 which is openGL 2.0 only.

My phone has also a MALI760 and it works, so perhaps is Rockchip implementation of the mali or perhaps it needs Lollipop (my phone has Lollipop). The best way to get that emu working in RK3288 is sending a logcat to developers with  the crash, so that they can check it.
Retired

eragon2890

  • Posts: 1887
Re: Help with choosing a device.
« Reply #23 on: May 05, 2015, 11:03:28 am »
Ay my bad, I thought tegra 4 had opengl 3.0

And yeah, off course it?s not a game, but still could conceivably help - but not if it doesn?t support opengl 3.0 off course! >_
<

Pleng

  • Posts: 270
Re: Help with choosing a device.
« Reply #24 on: May 08, 2015, 01:53:30 pm »
if no games work, try installing gltools from playstore and telling the app you have, for example, a tegra 4, this made it possible to run asphalt 8 at higher settings then ?low? (Any other game I tried already run at highest settings out of the box with no problems).

It DOES support opengl es 3.0, that?s certain...

It's not a game, it's an emulator, and it needs openGL 3.0 to run properly, so I don't think it works ok in tegra 4 which is openGL 2.0 only.

My phone has also a MALI760 and it works, so perhaps is Rockchip implementation of the mali or perhaps it needs Lollipop (my phone has Lollipop). The best way to get that emu working in RK3288 is sending a logcat to developers with  the crash, so that they can check it.

Yea no games work. I'll get a crash log - where does it need to be sent to?

Pleng

  • Posts: 270
Re: Help with choosing a device.
« Reply #25 on: May 09, 2015, 07:59:14 am »
The best way to get that emu working in RK3288 is sending a logcat to developers with  the crash, so that they can check it.

I have a stack trace. Who do I need to send it to?

Quote
05-09 13:55:57.191    5180-5180/org.yabause.android E/dalvikvm﹕ dlopen("/data/app-lib/org.yabause.android-1/libyabause.so") failed: dlopen failed: cannot locate symbol "rand" referenced by "libyabause.so"...
05-09 13:55:57.191    5180-5180/org.yabause.android E/AndroidRuntime﹕ FATAL EXCEPTION: main
    Process: org.yabause.android, PID: 5180
    java.lang.UnsatisfiedLinkError: dlopen failed: cannot locate symbol "rand" referenced by "libyabause.so"...
            at java.lang.Runtime.loadLibrary(Runtime.java:364)
            at java.lang.System.loadLibrary(System.java:526)
            at org.yabause.android.Yabause.<clinit>(Yabause.java:447)
            at java.lang.Class.newInstanceImpl(Native Method)
            at java.lang.Class.newInstance(Class.java:1208)
            at android.app.Instrumentation.newActivity(Instrumentation.java:1061)
            at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2112)
            at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2245)
            at android.app.ActivityThread.access$800(ActivityThread.java:135)
            at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1196)
            at android.os.Handler.dispatchMessage(Handler.java:102)
            at android.os.Looper.loop(Looper.java:136)
            at android.app.ActivityThread.main(ActivityThread.java:5017)
            at java.lang.reflect.Method.invokeNative(Native Method)
            at java.lang.reflect.Method.invoke(Method.java:515)
            at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:794)
            at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:610)
            at dalvik.system.NativeStart.main(Native Method)

skelton

  • Posts: 6894
Re: Help with choosing a device.
« Reply #26 on: May 09, 2015, 09:11:01 am »
The best way to get that emu working in RK3288 is sending a logcat to developers with  the crash, so that they can check it.

I have a stack trace. Who do I need to send it to?

Quote
05-09 13:55:57.191    5180-5180/org.yabause.android E/dalvikvm﹕ dlopen("/data/app-lib/org.yabause.android-1/libyabause.so") failed: dlopen failed: cannot locate symbol "rand" referenced by "libyabause.so"...
05-09 13:55:57.191    5180-5180/org.yabause.android E/AndroidRuntime﹕ FATAL EXCEPTION: main
    Process: org.yabause.android, PID: 5180
    java.lang.UnsatisfiedLinkError: dlopen failed: cannot locate symbol "rand" referenced by "libyabause.so"...
            at java.lang.Runtime.loadLibrary(Runtime.java:364)
            at java.lang.System.loadLibrary(System.java:526)
            at org.yabause.android.Yabause.<clinit>(Yabause.java:447)
            at java.lang.Class.newInstanceImpl(Native Method)
            at java.lang.Class.newInstance(Class.java:1208)
            at android.app.Instrumentation.newActivity(Instrumentation.java:1061)
            at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2112)
            at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2245)
            at android.app.ActivityThread.access$800(ActivityThread.java:135)
            at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1196)
            at android.os.Handler.dispatchMessage(Handler.java:102)
            at android.os.Looper.loop(Looper.java:136)
            at android.app.ActivityThread.main(ActivityThread.java:5017)
            at java.lang.reflect.Method.invokeNative(Native Method)
            at java.lang.reflect.Method.invoke(Method.java:515)
            at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:794)
            at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:610)
            at dalvik.system.NativeStart.main(Native Method)

Devmiyax is the author:

http://forums.yabause.org/index.php?topic=1323.msg13584#new

But I think that the openGL 3.0 version require Lollipop, so probably there is nothing to do.
Retired

Pleng

  • Posts: 270
Re: Help with choosing a device.
« Reply #27 on: May 09, 2015, 09:51:20 am »
Thanks; I've made a post on that thread. I wonder why they would chose to target Lollipop..

e114

  • Posts: 100
Re: Help with choosing a device.
« Reply #28 on: May 14, 2015, 11:03:29 am »
yes,the same likes me,i like the game performance... :)

f1racer

  • Posts: 6
Re: Help with choosing a device.
« Reply #29 on: May 14, 2015, 05:40:22 pm »
I have the iPega 9700 which is a 7" gaming tablet, it works awesome.  But I find 7" too big that's why I just bought a GPD G5A.  Easier to travel with and it can do everything the 9700 did. 

 

Post a new topic
Post a new topic